version: '3.8'
services:
  acd:
    image: "acd:v1"
    container_name: acd
    restart: always
    privileged: true
    volumes:
      #- "/etc/localtime:/etc/localtime:ro"
      #- "/etc/timezone:/etc/timezone:ro"
      - "${PWD}/logs:/home/logs"
      - "${PWD}/data:/home/server/switch"
      - "${PWD}/lua:/home/lua"
      - "${PWD}/ivr:/home/ivr"
      - "${PWD}/lcc_media:/home/lcc_media"
      - "${PWD}/shellJob:/home/shellJob"
      - "${PWD}/crontabs:/var/spool/cron/crontabs"
      - "${PWD}/env/.bashrc:/root/.bashrc"
      - "${PWD}/env/vimrc:/etc/vim/vimrc"
    environment:
      TZ: Asia/Shanghai
      LANG: en_US.UTF-8
    network_mode: host
    command: /bin/sh -c "ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && service cron start && tail -f /dev/null"

# 创建并启动   docker-compose -f acd-deploy.yml up -d
# 停止        docker-compose -f acd-deploy.yml stop
# 停止并删除   docker-compose -f acd-deploy.yml down
